# neuroSCC 1.0.0

- First **CRAN Release**.
- **Additional_repositories** included using **drat**
- Reduced computation times for most time-consuming examples

# neuroSCC 0.17.0 (25-03-25)

- Everything is working. **Check** and **Check --as--CRAN** also working with no errors or notes.

# neuroSCC 0.16.0 (24-03-25)

- **Webpage** and **Vignettes** are already working.

# neuroSCC 0.15.0 (21-03-25)

- **First final version with webpage deployed**

# neuroSCC 0.14.0

- **Function Completion**:
  - `generatePoissonClones()` already working.
  - `calculateMetrics()` already working.
  - `getSPMbinary()` included for SPM processing.
  
# neuroSCC 0.13.0

- **First Complete Release** with basic functioning achieved.

# neuroSCC 0.12.0

### Major Changes

- **Function Integration**:
  - Included `plotSCC()` for visualization.
  - Included `generatePoissonClones()` for 1vsGroup setups.
  - Included `calculateMetrics()` for performante estimation.

### Major Changes

- **Function Enhancements**:
  - Introduced the `processROIs()` function for efficient Region of Interest (ROI) processing.
  - Updated `getPoints()` to improve the extraction of significant points from Simultaneous Confidence Corridors (SCCs).

- **Documentation**:
  - Comprehensive documentation added for all functions, aligning with CRAN standards to facilitate user understanding and package integration.

### Minor Improvements

- **Error Handling**:
  - Implemented robust error handling across multiple functions to enhance package stability and user experience.

# neuroSCC 0.10-0

- **Function Addition**:
  - Added `databaseCreator()`, enabling the creation of structured databases from neuroimaging data.

# neuroSCC 0.9-0

- **Function Addition**:
  - Introduced `matrixCreator()`, facilitating the conversion of databases into matrix formats suitable for analysis.

# neuroSCC 0.8-0

- **Function Addition**:
  - Implemented `meanNormalization()`, allowing for the normalization of data matrices by their mean values.

# neuroSCC 0.7-0

- **Function Integration**:
  - Integrated additional raw functions extracted directly from MASTERSCRIPTS to expand package capabilities.

# neuroSCC 0.6-0

- **Function Integration**:
  - Continued incorporation of functions from MASTERSCRIPTS, enhancing data processing workflows.

# neuroSCC 0.5-0

- **Function Development**:
  - Included initial versions of new functions to broaden the package's analytical tools.

# neuroSCC 0.4-0

- **Tweaks**:
  - Applied minor tweaks and adjustments to existing functions to improve performance and reliability.

# neuroSCC 0.3-0

- **Testing and Updates**:
  - Conducted multiple tests to validate function performance.
  - Updated `neuroCleaner()` for enhanced data cleaning processes.

# neuroSCC 0.2-0

- **Documentation and Function Addition**:
  - Added `README` to provide an overview and usage instructions.
  - Introduced the initial version of `neuroCleaner()` for preprocessing neuroimaging data.
  - Attempted to include sample data; however, due to issues, it was subsequently removed.

# neuroSCC 0.1-0

- **Initial Commit**:
  - Established the foundational structure of the package, setting the groundwork for subsequent development.

---
